Summary:	XCB util-renderutil module
Summary(pl.UTF-8):	Moduł XCB util-renderutil
Name:		xcb-util-renderutil
Version:	0.3.10
Release:	1
License:	MIT
Group:		Libraries
Source0:	https://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
# Source0-md5:	193b890e2a89a53c31e2ece3afcbd55f
URL:		https://xcb.freedesktop.org/XcbUtil/
BuildRequires:	gperf
BuildRequires:	libxcb-devel >= 1.4
BuildRequires:	m4
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xcb-proto >= 1.6
BuildRequires:	xz
Conflicts:	xcb-util < 0.3.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

XCB util-renderutil module provides the following library:
- renderutil: Convenience functions for the Render extension.

%description -l pl.UTF-8
xcb-util udostępnia wiele bibliotek opartych powyżej libxcb (głównej
biblioteki protokołu X) oraz trochę bibliotek rozszerzeń. Te
eksperymentalne biblioteki udostępniają wygodne funkcje i interfejsy
czyniące surowy protokół X bardziej używalnym. Niektóre biblioteki
udostępniają także kod kliencki nie będący ściśle częścią protokołu X,
ale tradycyjnie dostarczany przez Xlib.

Moduł XCB util-renderutil udostępnia następującą biliotekę:
- renderutil: wygodne funkcje do rozszerzenia Render.

%package devel
Summary:	Header files for XCB util-renderutil library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki XCB util-renderutil
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxcb-devel >= 1.4
Conflicts:	xcb-util-devel < 0.3.8

%description devel
Header files for XCB util-renderutil library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki XCB util-renderutil.

%package static
Summary:	Static XCB util-renderutil library
Summary(pl.UTF-8):	Statyczna biblioteka XCB util-renderutil
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XCB util-renderutil library.

%description static -l pl.UTF-8
Statyczna biblioteka XCB util-renderutil.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxcb-render-util.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/libxcb-render-util.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-render-util.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxcb-render-util.so
%{_includedir}/xcb/xcb_renderutil.h
%{_pkgconfigdir}/xcb-renderutil.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxcb-render-util.a
%changelog
* Wed Oct 26 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xcb-util-renderutil.git;a=log;h=master

* Wed Oct 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 34b2eab
- updated to 0.3.10, drop .la file

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 48dd3a7
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jun 14 2014 Jakub Bogusz <qboosh@pld-linux.org> b262d42
- updated to 0.3.9

* Tue Apr 26 2011 Jakub Bogusz <qboosh@pld-linux.org> b2f2112
- typo

* Tue Apr 26 2011 Jakub Bogusz <qboosh@pld-linux.org> a9180f8
- doesn't require xcb-util, changed to Conflicts before split (< 0.3.8)

* Tue Apr 26 2011 Jakub Bogusz <qboosh@pld-linux.org> af87ab0
- new

